VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
IExtPackFile Interface Reference

Extension pack file (aka tarball, .vbox-extpack) representation returned by IExtPackManager::openExtPackFile. More...

Inheritance diagram for IExtPackFile:

## Public Member Functions
void | install (in boolean replace, in wstring displayInfo, [retval] out IProgress progess)
| Install the extension pack. More...
Public Member Functions inherited from IExtPackBase
void | queryLicense (in wstring preferredLocale, in wstring preferredLanguage, in wstring format, [retval] out wstring licenseText)
| Full feature version of the license attribute. More...

## Public Attributes
readonly attribute wstring | filePath
| The path to the extension pack file. More...
Public Attributes inherited from IExtPackBase
readonly attribute wstring | name
| The extension pack name. More...
readonly attribute wstring | description
| The extension pack description. More...
readonly attribute wstring | version
| The extension pack version string. More...
readonly attribute unsigned long | revision
| The extension pack internal revision number. More...
readonly attribute wstring | edition
| Edition indicator. More...
readonly attribute wstring | VRDEModule
| The name of the VRDE module if the extension pack sports one. More...
readonly attribute IExtPackPlugIn [] | plugIns
| Plug-ins provided by this extension pack. More...
readonly attribute boolean | usable
| Indicates whether the extension pack is usable or not. More...
readonly attribute wstring | whyUnusable
| String indicating why the extension pack is not usable. More...
readonly attribute boolean | showLicense
| Whether to show the license before installation. More...
readonly attribute wstring | license
| The default HTML license text for the extension pack. More...

## Detailed Description

Extension pack file (aka tarball, .vbox-extpack) representation returned by IExtPackManager::openExtPackFile.

This provides the base extension pack information with the addition of the file name.

Interface ID:
  `{4C7F4BF6-4671-2F75-0FBB-A99F6218CDFC}`

## Member Function Documentation

## ◆ install()

void IExtPackFile::install | ( | in boolean | replace,
|  | in wstring | displayInfo,
|  | [retval] out IProgress | progess
| ) |  |

Install the extension pack.

Parameters

  replace | Set this to automatically uninstall any existing extension pack with the same name as the one being installed.
  displayInfo | Platform specific display information. Reserved for future hacks.
  progess | Progress object for the operation.

## Member Data Documentation

## ◆ filePath

readonly attribute wstring IExtPackFile::filePath

The path to the extension pack file.